Bug 195850 - setsebool/getsebool have inconsistent input and output values
setsebool/getsebool have inconsistent input and output values
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: policycoreutils (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-18 16:03 EDT by Hans Ulrich Niedermann
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-19 10:29:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hans Ulrich Niedermann 2006-06-18 16:03:06 EDT
Description of problem:

  "getsebool" prints the bools as being "on" or "off", but "setsebool" only
accepts the values "false" (aka "0") and "true" (aka "1").

Version-Release number of selected component (if applicable):

  policycoreutils-1.30.10-2.fc5

Steps to Reproduce:
1. Run "getsebool allow_execstack".
2. Read "allow_execstack --> on" (or "off").
3. Run "setsebool allow_execstack=on" (or "off") to set it to the very same
value the bool already has.
  
Actual results:

  setsebool: illegal value on for boolean allow_execstack

Expected results:

  <nothing>
  
  setsebool should just quietly set the value.
Comment 1 Daniel Walsh 2006-06-19 10:29:55 EDT
Fixed in policycoreutils-1.30.14-2 in rawhide.  This will be backported to FC5
if we need to update policycoreutils in the future.  Not worth doing it for this
minor change.

Note You need to log in before you can comment on or make changes to this bug.